<ion-view view-title="Orçamentos" cache-view="false" class="budget">
    <ion-content>
        <div class="tabs tabs-content-budget">
            <a>Orçamentos</a>
            <a class="disabled-item-budget" href="#/tab/clients">Clientes</a>
            <a class="disabled-item-budget" href="#/tab/produtos">Produtos</a>
            <a class="disabled-item-budget" href="#/tab/servicos">Serviços</a>
        </div>

        <ion-list class="budget-list">
            <div ng-repeat="group in groups" class="budget-group">
                <ion-item class="item-stable budget-group-item"
                    ng-click="group.opened = !group.opened"
                    ng-class="{active: group.opened}">
                    <i class="icon" ng-class="group.opened ? 'ion-chevron-up' : 'ion-chevron-down'"></i>
                    <i class="ion-clock" style="margin-right: 5px;"></i> {{group.name}} ({{ (budgets | filter:{status: group.id }).length }})
                </ion-item>
                <ion-item class="item-accordion infos-budget-wrapper" ng-hide="!budgets || (budgets | filter:{status: group.id }).length || !group.opened">
                    <p class="infos-budget">Nenhum orçamento</p>
                </ion-item>
                <ion-item class="item-accordion infos-budget-wrapper"
                    ng-repeat-start="budget in budgets | filter:{status: group.id } | orderBy:'-nr_order'"
                    ng-show="group.opened">
                    <div class="row infos-budget">
                        <div class="col col-66" ng-click="editBudget(budget.id)">
                            <span>O.S:{{ budget.nr_order }} - {{ getDate( budget.date_created ) }}</span>
                            <h4>{{ budget.client_name }}</h4>
                        </div>
                        <div class="col col-33">
                            <span>Valor:</span>
                            <h4>{{ getTotal( budget ) }}</h4>
                        </div>
                        <a class="change-status" data-budget-id="{{ budget.id }}">
                            <i class="ion-android-more-vertical"></i>
                        </a>
                    </div>
                </ion-item>
                <div ng-repeat-end class="status-budget" data-budget-id="{{ budget.id }}">
                    <i class="ion-android-more-vertical"></i>
                    <span>Status</span>
                    <button ng-click="changeStatus( budget, 1 )" ng-class="{active: budget.status == 1}">Pendente</button>
                    <button ng-click="changeStatus( budget, 2 )" ng-class="{active: budget.status == 2}">Aprovado</button>
                    <button ng-click="changeStatus( budget, 3 )" ng-class="{active: budget.status == 3}">Cancelado</button>
                    <button ng-click="changeStatus( budget, 4 )" ng-class="{active: budget.status == 3}">Deletar</button>
                </div>
            </div>
        </ion-list>
    </ion-content>
    <a class="button button-fab button-fab-bottom-right" ui-sref="tab.budget-new">
        <i class="icon-plus"></i>
    </a>
</ion-view>
